document.addEventListener('DOMContentLoaded', () => {
  const userInput = document.getElementById('user-text');
  const previewText = document.getElementById('preview-text');
  const effectButtons = document.querySelectorAll('.effect-btn');

  effectButtons.forEach(button => {
    button.addEventListener('click', () => {
      const effect = button.dataset.effect;
      const text = userInput.value || 'Type something!';
      
      previewText.className = ''; // Reset classes
      previewText.textContent = text;
      
      switch(effect) {
        case 'glitch':
          previewText.className = 'glitch-text';
          previewText.dataset.text = text;
          break;
        case 'wave':
          previewText.className = 'wave-text';
          break;
        case 'pop':
          previewText.className = 'pop-text';
          break;
      }
    });
  });

  // Add interactive hover effects
  const letters = document.querySelectorAll('.rainbow-text');
  letters.forEach(letter => {
    letter.addEventListener('mouseover', () => {
      letter.style.animationPlayState = 'paused';
    });
    letter.addEventListener('mouseout', () => {
      letter.style.animationPlayState = 'running';
    });
  });
});